import { h } from "@stencil/core";
import { Button } from "./button";
import { actions, state, DELETE } from "../../utils";
const Keys = _props => {
    const { keys, list, pick, solved } = state;
    const genHandler = (key) => {
        return () => {
            actions.input(key);
        };
    };
    const values = solved ? [] : keys;
    const cell = pick != undefined ? list[pick] : undefined;
    return (h("div", { class: "mt-2 flex flex-row justify-end" }, !solved && cell && !cell.isClue && cell.key != '.' ? (h(Button, { label: DELETE, callback: genHandler('.') })) : (''), values.map((key) => {
        return (h(Button, { label: key, callback: genHandler(key), matched: cell.key === key }));
    })));
};
export { Keys };
export default Keys;
