import { p as promiseResolve, b as bootstrapLazy } from './index-BMEbiGRC.js';
export { s as setNonce } from './index-BMEbiGRC.js';
import { g as globalScripts } from './app-globals-DQuL1Twl.js';

/*
 Stencil Client Patch Browser v4.31.0 | MIT Licensed | https://stenciljs.com
 */

var patchBrowser = () => {
  const importMeta = import.meta.url;
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["proto-sudoku",[[1,"proto-sudoku",{"tag":[1],"platform":[1]}]]]], options);
});
