import { AppStore, PuzzleCell } from './types';
declare const state: AppStore;
declare const actions: {
    initApp: (platform: string) => void;
    refresh: () => Promise<void>;
    select: (cell: PuzzleCell) => void;
    check: () => void;
    input: (key: string) => void;
};
export { state, actions };
export default state;
